Subject: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Ihor Radchenko <[email-masked]>
Date: Sat, 11 May 2024 17:48:24 +0000

Po Lu <[email-masked]> writes:

> I tried might and main to reproduce the vscroll-related problem
> following both the original recipe and the adjustments Ihor suggested,
> to no avail.
>
> Ihor, are you still running recenter?  The bug you initially described
> should not be possible after my change, as vscroll is now
> unconditionally reset after a call to recenter, but the paragraph in
> your last message appears to describe a different phenomenon, which is
> no bug: since p-s-p-i is designed for interactive operation, the
> animation runs within `while-no-input', and if input should interrupt
> the usual course of the function, then it's entirely expected that point
> should be left elsewhere than specified in the arguments of the call.

See my recording of emacs -Q:
https://0x0.st/XKzU.mp4

My Emacs is built a few days ago from master:
In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.41, cairo version 1.18.0) of 2024-05-08 built on localhost
Repository revision: 1fb335251330108b70042afd45def623535e274e
Repository branch: master

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>